Bug 145024 - can not burn cds on scsi writer
can not burn cds on scsi writer
Status: CLOSED DUPLICATE of bug 208542
Product: Fedora
Classification: Fedora
Component: cdrtools (Show other bugs)
3
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-13 15:51 EST by Niels
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-29 06:25:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of cdrecord -scanbus (962 bytes, text/plain)
2005-01-31 16:50 EST, Andreas Rogge
no flags Details

  None (edit)
Description Niels 2005-01-13 15:51:29 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0 StumbleUpon/1.999

Description of problem:
I cannot burn CDs anymore since upgrading to fc3. Even as root it
doesn't work. In fc2 all graphical programs failed but with using
cdrecord directly from the command line I got it to work.

Since I upgraded even that won't work. Nautilus-CD-Burner only offers
to write an ISO image (that was also the fact with fc2).

Version-Release number of selected component (if applicable):
cdrecord-2.01.1-5

How reproducible:
Always

Steps to Reproduce:
1. I always used a line like this to burn cds from the command line
(this is as root):
cdrecord  -v -eject -dev=0,4,0 -speed=4 GamesKnoppix-3.7-0.2-DE.iso


Actual Results:  This is the output I get:

cdrecord: No write mode specified.
cdrecord: Asuming -tao mode.
cdrecord: Future versions of cdrecord may have different drive
dependent defaults.
cdrecord: Continuing in 5 seconds...
Cdrecord-Clone 2.01-dvd (i686-pc-linux-gnu) Copyright (C) 1995-2004
J�rg Schilling
Note: This version is an unofficial (modified) version with DVD support
Note: and therefore may have bugs that are not present in the original.
Note: Please send bug reports or support requests to
http://bugzilla.redhat.com/bugzilla
Note: The author of cdrecord should not be bothered with problems in
this version.
TOC Type: 1 = CD-ROM
scsidev: '0,4,0'
scsibus: 0 target: 4 lun: 0
Linux sg driver version: 3.5.27
Using libscg version 'schily-0.8'.
cdrecord: Warning: using inofficial libscg transport code version
(schily - Red Hat-scsi-linux-sg.c-1.83-RH '@(#)scsi-linux-sg.c  1.83
04/05/20 Copyright 1997 J. Schilling').
SCSI buffer size: 64512
atapi: 1
Device type    : Removable CD-ROM
Version        : 2
Response Format: 2
Capabilities   : RELADR SYNC LINKED
Vendor_info    : 'TEAC    '
Identifikation : 'CD-R55S         '
Revision       : '1.0L'
Device seems to be: Teac CD-R50S.
Using driver for Teac CD-R50S, Teac CD-R55S, JVC XR-W2010, Pinnacle
RCD-5020 (teac_cdr50).
Driver flags   : SWABAUDIO
Supported modes: TAO
FIFO size      : 4194304 = 4096 KB
Track 01: data   698 MB
Total size:      802 MB (79:30.04) = 357753 sectors
Lout start:      802 MB (79:32/03) = 357753 sectors
Current Secsize: 2048
Blocks total: 359846 Blocks current: 359846 Blocks remaining: 2093
Starting to write CD/DVD at speed   4.0 in real TAO mode for single
session.
Last chance to quit, starting real write    0 seconds. Operation starts.
Waiting for reader process to fill input buffer ... input buffer ready.
cdrecord: Input/output error. clear subcode: scsi sendcmd: no error
CDB:  E4 00 00 00 00 80 00 00 00 00 00 00
status: 0x2 (CHECK CONDITION)
Sense Bytes: 70 00 05 00 00 00 00 0A 00 00 00 00 24 00 00 C0
Sense Key: 0x5 Illegal Request, Segment 0
Sense Code: 0x24 Qual 0x00 (invalid field in cdb) Fru 0x0
Sense flags: Blk 0 (not valid) error refers to command part, bit ptr 0
(not valid) field ptr 0
cmd finished after 0.011s timeout 40s
cdrecord: Cannot open new session.
Writing  time:    4.451s
cdrecord: fifo had 64 puts and 0 gets.
cdrecord: fifo was 0 times empty and 0 times full, min fill was 100%.


Expected Results:  Cd should be burned.

Additional info:

This is the output I get from "cdrecord  -scanbus":

Cdrecord-Clone 2.01-dvd (i686-pc-linux-gnu) Copyright (C) 1995-2004
J�rg Schilling
Note: This version is an unofficial (modified) version with DVD support
Note: and therefore may have bugs that are not present in the original.
Note: Please send bug reports or support requests to
http://bugzilla.redhat.com/bugzilla
Note: The author of cdrecord should not be bothered with problems in
this version.
Linux sg driver version: 3.5.27
Using libscg version 'schily-0.8'.
cdrecord: Warning: using inofficial libscg transport code version
(schily - Red Hat-scsi-linux-sg.c-1.83-RH '@(#)scsi-linux-sg.c  1.83
04/05/20 Copyright 1997 J. Schilling').
scsibus0:
        0,0,0     0) *
        0,1,0     1) *
        0,2,0     2) *
cdrecord: Warning: controller returns wrong size for CD capabilities page.
        0,3,0     3) 'PIONEER ' 'DVD-ROM DVD-303F' '2.00' Removable CD-ROM
        0,4,0     4) 'TEAC    ' 'CD-R55S         ' '1.0L' Removable CD-ROM
        0,5,0     5) *
        0,6,0     6) *
        0,7,0     7) *
Comment 1 Andreas Rogge 2005-01-31 16:50:20 EST
Created attachment 110463 [details]
Output of cdrecord -scanbus
Comment 2 Andreas Rogge 2005-01-31 16:51:45 EST
Comment on attachment 110463 [details]
Output of cdrecord -scanbus

I have exaclty the same output and a similar hardware setup
Comment 3 Leszek Matok 2005-02-22 17:34:47 EST
Same thing here using TEAC CD-R55S (from cdrecord -scanbus: 0,1,0	  1) 'TEAC   
' 'CD-R55S         ' '1.0R' Removable CD-ROM) under FC3:

(...)
Starting to write CD/DVD at speed   1.0 in real TAO mode for single session.
Last chance to quit, starting real write    0 seconds. Operation starts.
Waiting for reader process to fill input buffer ... input buffer ready.
cdrecord: Input/output error. clear subcode: scsi sendcmd: no error
CDB:  E4 00 00 00 00 80 00 00 00 00 00 00
status: 0x2 (CHECK CONDITION)
Sense Bytes: 70 00 05 00 00 00 00 0A 00 00 00 00 24 00 00 C0
Sense Key: 0x5 Illegal Request, Segment 0
Sense Code: 0x24 Qual 0x00 (invalid field in cdb) Fru 0x0
Sense flags: Blk 0 (not valid) error refers to command part, bit ptr 0 (not
valid) field ptr 0
cmd finished after 0.008s timeout 40s
cdrecord: Cannot open new session.

The most important thing about this bug is that I have FC2 under /mnt/fc2 and
using /mnt/fc2/usr/bin/cdrecord using the same /etc/cdrecord.conf and just a
second after previous try (so that the burner state doesn't change, not to
mention glibc or kernel, which are all the packages involved here) works without
any problem:

(...)
Starting to write CD/DVD at speed   1.0 in real TAO mode for single session.
Last chance to quit, starting real write    0 seconds. Operation starts.
Waiting for reader process to fill input buffer ... input buffer ready.
Performing OPC...
Judging disk...done.
Calibrating laser...done.
Starting new track at sector: 0
(...)

(and that is the "Expected results" portion of the bug report :))

Note to Niels: K3b is braindead and always has been, but you can fool it by
inserting "dev=0,4,0" into Settings->Configure K3b->Programs->User
parameters->cdrecord :) Of course it will still give cdrecord its own "dev"
parameter, but it will be first on the command line and cdrecord will use the
second one provided by you. Tada :)
Comment 4 Harald Hoyer 2005-02-23 05:24:54 EST
Leszek Matok: This is an important information! Thank you!
Comment 5 Andreas Rogge 2005-07-19 17:00:58 EDT
The problem still exists in RHEL4 and I still get the same output i've already
posted before.
Comment 6 Matthew Miller 2006-07-10 17:00:02 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 7 Harald Hoyer 2006-09-29 06:25:41 EDT

*** This bug has been marked as a duplicate of 208542 ***

Note You need to log in before you can comment on or make changes to this bug.